#include <bits/stdc++.h>

using namespace std;
#define MAXE 100000

int main()
{
    int x[MAXE], y[MAXE], z[MAXE], n;
    scanf("%d", &n);
    for(int i = 0; i < n; i++)
        scanf("%d", &x[i]);
    for(int i = 0; i < n; i++)
        scanf("%d", &y[i]);

    int zbir = 0;
    for(int i = 0; i < n; i++)
    {
        scanf("%d", &z[i]);
        for(int j = 0; j < n; j++)
        {
            for(int k = 0; k < n; k++)
            {
                if(x[j] == y[k] && k+1 == z[i])
                {
                    zbir++;
                }
            }
        }
    }
    printf("%d", zbir);
    return 0;
}